using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFQueryAppMap : APTEntityBaseMap<T_PF_QUERY_APP>
    {
		public override void Configure(EntityTypeBuilder<T_PF_QUERY_APP> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.PAGE_NAME)
				.HasMaxLength(50);

			builder.Property(t => t.QUERY_NAME)
			   .HasMaxLength(64);

			builder.Property(t => t.LABEL)
			  .HasMaxLength(64);

			builder.Property(t => t.OP_DEFAULT)
				.HasMaxLength(64);

			builder.Property(t => t.DATA_VALUE)
			 .HasMaxLength(100);
		} 
    }
}
